<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Center upper or lower panel.
| Shows Latest posts, news and articles
| Filename: trioforum_threads_panel.php version 1.0
| Author: Wim de Lange (Wanabo)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."trioforum_threads_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."trioforum_threads_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."trioforum_threads_panel/locale/English.php";
}
// get the database info
if (FUSION_SELF == "viewforum.php") {
$resultviews = dbquery("
	SELECT tt.forum_id, tt.thread_id, tt.thread_subject, tt.thread_lastpost FROM ".DB_THREADS." tt
	INNER JOIN ".DB_FORUMS." tf ON tt.forum_id=tf.forum_id
	WHERE ".groupaccess('tf.forum_access')." AND tt.thread_hidden='0' AND tt.forum_id='".$_GET['forum_id']."' AND tt.thread_lastpost > '".strtotime('-90 days')."'
	ORDER BY tt.thread_views DESC LIMIT 5
");
$resultcount = dbquery("
	SELECT tt.forum_id, tt.thread_id, tt.thread_subject, tt.thread_lastpost FROM ".DB_THREADS." tt
	INNER JOIN ".DB_FORUMS." tf ON tt.forum_id=tf.forum_id
	WHERE ".groupaccess('tf.forum_access')." AND tt.thread_hidden='0' AND tt.forum_id='".$_GET['forum_id']."' AND tt.thread_lastpost > '".strtotime('-90 days')."'
	ORDER BY tt.thread_postcount DESC LIMIT 5
");
$resultlast = dbquery("
	SELECT tt.forum_id, tt.thread_id, tt.thread_subject, tt.thread_lastpost FROM ".DB_THREADS." tt
	INNER JOIN ".DB_FORUMS." tf ON tt.forum_id=tf.forum_id
	WHERE ".groupaccess('tf.forum_access')." AND tt.thread_hidden='0' AND tt.forum_id='".$_GET['forum_id']."' AND tt.thread_lastpost > '".strtotime('-90 days')."'
	ORDER BY tt.thread_lastpost DESC LIMIT 5
");
}

if (FUSION_SELF == "news.php" || FUSION_SELF == "index.php") {
$resultviews = dbquery("
	SELECT tt.forum_id, tt.thread_id, tt.thread_subject, tt.thread_lastpost FROM ".DB_THREADS." tt
	INNER JOIN ".DB_FORUMS." tf ON tt.forum_id=tf.forum_id
	WHERE ".groupaccess('tf.forum_access')." AND tt.thread_hidden='0' AND tt.thread_lastpost > '".strtotime('-90 days')."'
	ORDER BY tt.thread_views DESC LIMIT 5
");
$resultcount = dbquery("
	SELECT tt.forum_id, tt.thread_id, tt.thread_subject, tt.thread_lastpost FROM ".DB_THREADS." tt
	INNER JOIN ".DB_FORUMS." tf ON tt.forum_id=tf.forum_id
	WHERE ".groupaccess('tf.forum_access')." AND tt.thread_hidden='0' AND tt.thread_lastpost > '".strtotime('-90 days')."'
	ORDER BY tt.thread_postcount DESC LIMIT 5
");
$resultlast = dbquery("
	SELECT tt.forum_id, tt.thread_id, tt.thread_subject, tt.thread_lastpost FROM ".DB_THREADS." tt
	INNER JOIN ".DB_FORUMS." tf ON tt.forum_id=tf.forum_id
	WHERE ".groupaccess('tf.forum_access')." AND tt.thread_hidden='0' AND tt.thread_lastpost > '".strtotime('-90 days')."'
	ORDER BY tt.thread_lastpost DESC LIMIT 5
");
}

// display the database info
if (FUSION_SELF == "index.php") { $linktrim = '40';
add_to_head("<style type='text/css'>.lefttrio{float:left; width:33.33%;}</style>"); }

if (FUSION_SELF == "news.php" || FUSION_SELF == "viewforum.php") { $linktrim = '65';
add_to_head("<style type='text/css'>.lefttrio{float:left; width:50%;}</style>"); }

if (FUSION_SELF == "viewforum.php" || FUSION_SELF == "news.php" || FUSION_SELF == "index.php") {

if (dbrows($resultviews)>2) { echo "<div class='lefttrio'><div class='capmain'><strong>".$locale['trioforum_views']."</strong></div>\n";
	while($data = dbarray($resultviews)) {
		$itemsubject = trimlink($data['thread_subject'], $linktrim);
		echo THEME_BULLET." <a href='".FORUM."viewthread.php?thread_id=".$data['thread_id']."' title='".$data['thread_subject']."' class='side'>".$itemsubject."</a><br />\n";
	}
echo "</div>";
}

if (dbrows($resultcount)>2) { echo "<div class='lefttrio'><div class='capmain'><strong>".$locale['trioforum_count']."</strong></div>\n";
	while($data = dbarray($resultcount)) {
		$itemsubject = trimlink($data['thread_subject'], $linktrim);
		echo THEME_BULLET." <a href='".FORUM."viewthread.php?thread_id=".$data['thread_id']."' title='".$data['thread_subject']."' class='side'>".$itemsubject."</a><br />\n";
	}
echo "</div>";
}

if (FUSION_SELF == "index.php" && (dbrows($resultlast)>2)) { echo "<div class='lefttrio'><div class='capmain'><strong>".$locale['trioforum_last']."</strong></div>\n";
	while($data = dbarray($resultlast)) {
		$itemsubject = trimlink($data['thread_subject'], $linktrim);
		echo THEME_BULLET." <a href='".FORUM."viewthread.php?thread_id=".$data['thread_id']."' title='".$data['thread_subject']."' class='side'>".$itemsubject."</a><br />\n";
	}
echo "</div>";
}
}
?>